<script>
  export let text;
  export let icon;
  export let bgColor;
  export let bgColorHover;
  export let txtColor;
  export let iconColor;
  export let iconSize;
  export let pLeft;
  export let pRight;
  export let pLR;
  export let tall;
  export let txtWeight;
  export let txtSize;
  export let style;
  export let classStyle;
</script>

<style>
  .button-tall {
    max-height: 2.5rem;
  }

  .button-small {
    max-height: 2rem;
  }
</style>

<button
  class="br-025 ptb-005 flex flex-aic flex-jcc tran-300 cursor-pointer {txtWeight}
  {txtSize}
  {bgColor}
  {bgColorHover}
  {pLeft}
  {pRight}
  {pLR}
  {tall ? 'button-tall' : 'button-small'}
  {classStyle}"
  {style}>
  {#if icon == 'tag'}
    <svg
      viewBox="0 0 14 14"
      class="button_icon {iconColor}"
      style="width:{iconSize};height:{iconSize}">
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M5.59303 0.25581C6.00404 0.307186 6.29559 0.682029 6.24421
        1.09304L5.84959 4.24998H8.83792L9.25579 0.906992C9.30717 0.495977
        9.68201 0.204433 10.093 0.25581C10.504 0.307186 10.7956 0.682029 10.7442
        1.09304L10.3496 4.24998H13C13.4142 4.24998 13.75 4.58577 13.75
        4.99998C13.75 5.4142 13.4142 5.74998 13 5.74998H10.1621L9.84958
        8.25005H13C13.4142 8.25005 13.75 8.58584 13.75 9.00005C13.75 9.41427
        13.4142 9.75005 13 9.75005H9.66208L9.24421 13.093C9.19283 13.5041
        8.81799 13.7956 8.40697 13.7442C7.99596 13.6929 7.70441 13.318 7.75579
        12.907L8.15041 9.75005H5.16208L4.74421 13.093C4.69283 13.5041 4.31799
        13.7956 3.90697 13.7442C3.49596 13.6929 3.20441 13.318 3.25579
        12.907L3.65041 9.75005H1C0.585786 9.75005 0.25 9.41427 0.25 9.00005C0.25
        8.58584 0.585786 8.25005 1 8.25005H3.83791L4.15042 5.74998H1C0.585786
        5.74998 0.25 5.4142 0.25 4.99998C0.25 4.58577 0.585786 4.24998 1
        4.24998H4.33792L4.75579 0.906992C4.80717 0.495977 5.18201 0.204433
        5.59303 0.25581ZM5.66209 5.74998L5.34958 8.25005H8.33791L8.65042
        5.74998H5.66209Z" />
    </svg>
  {/if}
  {#if icon == 'arrow'}
    <svg
      viewBox="0 0 12 12"
      class="button_icon {iconColor}"
      style="width:{iconSize};height:{iconSize}">
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M5.29289 0.292893C5.68342 -0.0976311 6.31658 -0.097631 6.70711
        0.292893L11.7071 5.29289C12.0976 5.68342 12.0976 6.31658 11.7071
        6.70711C11.3166 7.09763 10.6834 7.09763 10.2929 6.70711L7 3.41421L7 11C7
        11.5523 6.55228 12 6 12C5.44772 12 5 11.5523 5 11L5 3.41421L1.70711
        6.70711C1.31658 7.09763 0.683417 7.09763 0.292893 6.70711C-0.0976311
        6.31658 -0.097631 5.68342 0.292893 5.29289L5.29289 0.292893Z" />
    </svg>
  {/if}
  {#if icon == 'arrowSimple'}
    <svg
      viewBox="0 0 14 8"
      class="button_icon {iconColor}"
      style="width:{iconSize};height:{iconSize}">
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M0.292893 0.292893C0.683417 -0.0976311 1.31658 -0.0976311 1.70711
        0.292893L7 5.58579L12.2929 0.292893C12.6834 -0.0976311 13.3166
        -0.0976311 13.7071 0.292893C14.0976 0.683417 14.0976 1.31658 13.7071
        1.70711L7.70711 7.70711C7.31658 8.09763 6.68342 8.09763 6.29289
        7.70711L0.292893 1.70711C-0.0976311 1.31658 -0.0976311 0.683417 0.292893
        0.292893Z" />
    </svg>
  {/if}
  {#if icon == 'settings'}
    <svg
      viewBox="0 0 16 16"
      class="button_icon {iconColor}"
      style="width:{iconSize};height:{iconSize}">
      <path
        d="M15.57 7a1.45 1.45 0 0 0-1-.42h-.13a1.31 1.31 0 0 1-.66-.2 1.34 1.34
        0 0 1-.44-.53v-.09a1.28 1.28 0 0 1-.08-.7 1.23 1.23 0 0 1
        .32-.62v-.05a1.47 1.47 0 0 0 .42-1 1.29 1.29 0 0 0-.11-.55 1.52 1.52 0 0
        0-.31-.48 1.6 1.6 0 0 0-.44-.36A1.48 1.48 0 0 0 12 2a1.38 1.38 0 0
        0-.47.31 1.19 1.19 0 0 1-.63.32 1.28 1.28 0 0 1-.7-.08 1.26 1.26 0 0
        1-.53-.44 1.31 1.31 0 0 1-.2-.66A1.45 1.45 0 0 0 9 .43a1.45 1.45 0 0 0-2
        0 1.45 1.45 0 0 0-.42 1v.13a1.31 1.31 0 0 1-.2.66 1.34 1.34 0 0
        1-.53.44h-.09a1.28 1.28 0 0 1-.7.08 1.23 1.23 0 0 1-.62-.32h-.05a1.47
        1.47 0 0 0-1-.42 1.29 1.29 0 0 0-.55.11 1.52 1.52 0 0 0-.48.31 1.6 1.6 0
        0 0-.36.44A1.48 1.48 0 0 0 2 4a1.38 1.38 0 0 0 .31.47 1.19 1.19 0 0 1
        .32.63 1.28 1.28 0 0 1-.08.7 1.18 1.18 0 0 1-.43.56 1.17 1.17 0 0
        1-.67.22A1.46 1.46 0 0 0 .43 7 1.42 1.42 0 0 0 0 8a1.45 1.45 0 0 0 1.45
        1.51h.13a1.22 1.22 0 0 1 .66.2 1.27 1.27 0 0 1 .44.53 1.28 1.28 0 0 1
        .08.7 1.23 1.23 0 0 1-.32.62 1.47 1.47 0 0 0-.42 1 1.29 1.29 0 0 0
        .11.55 1.52 1.52 0 0 0 .31.48 1.6 1.6 0 0 0 .47.31A1.48 1.48 0 0 0 4
        14a1.38 1.38 0 0 0 .47-.31v-.05a1.23 1.23 0 0 1 1.33-.24 1.18 1.18 0 0 1
        .56.43 1.17 1.17 0 0 1 .22.67v.07a1.46 1.46 0 0 0 .43 1 1.42 1.42 0 0 0
        1 .43 1.45 1.45 0 0 0 1.45-1.45v-.13a1.22 1.22 0 0 1 .2-.66 1.22 1.22 0
        0 1 1.23-.52 1.23 1.23 0 0 1 .62.32 1.47 1.47 0 0 0 1 .42 1.29 1.29 0 0
        0 .55-.11 1.52 1.52 0 0 0 .48-.31 1.6 1.6 0 0 0 .31-.47A1.48 1.48 0 0 0
        14 12a1.38 1.38 0 0 0-.31-.47h-.05a1.23 1.23 0 0 1-.24-1.33 1.26 1.26 0
        0 1 .44-.53 1.31 1.31 0 0 1 .66-.2h.07a1.45 1.45 0 0 0 1-.42 1.45 1.45 0
        0 0 0-2.06zM8 11a3 3 0 1 1 3-3 3 3 0 0 1-3 3z" />
    </svg>
  {/if}
  {#if text}
    <span class="{txtColor} {icon ? 'ml-005' : ''}">{text}</span>
  {/if}
</button>
